code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for RHSA-2012:1363
#
# Security announcement date: 2012-10-12 20:19:11 UTC
# Script generation date: 2017-01-16 21:15:20 UTC
#
# Operating System: Red Hat 5
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - bind-debuginfo.i386:9.3.6-20.P1.el5_8.5... | Cyberwatch/cbw-security-fixes | Red_Hat_5/x86_64/2012/RHSA-2012:1363.sh | Shell | mit | 2,290 |
#!/bin/bash
PYTHON_PATH="/opt/python-2.7.9/bin/python"
APP_SELECTOR="/home/mya/outside_dir.txt"
DATE="outside_$(date +\%Y-\%m-\%d--\%H-\%M-\%S)"
TARGET_DIR="/home/mya/apps/$DATE"
GET_VERSION_CMD="git clone git@github.com:phelmig/outside.git ."
# Create Target Directory
if [ -d "$TARGET_DIR" ]; then
rm -rf "$TARGET_... | phelmig/outside_ | mvp/update_outside.sh | Shell | mit | 809 |
#!/bin/bash
docker-compose stop
message_on_error "Error encountered when stopping containers"
echo "Docker has been stopped, sweet dreams..."
| mortenson/drupal-docker-lite | scripts/stop.sh | Shell | mit | 145 |
init_alpine() {
log_header "Updating apk"
apk update
log_header "Installing essentials"
apk_add curl
apk_add jq
}
apk_add() {
type "$1" >/dev/null || {
log_header "Installing $1"
apk add "$1"
}
}
| stephencroberts/dotfiles | lib/alpine.sh | Shell | mit | 220 |
# Checks fetches and checks out the merge commit for a Pull Request
# USAGE: pr <pr number> <branch name> <remote>
pr() {
REMOTE="${3:-origin}"
BRANCH="${2:-$1}"
git fetch "$REMOTE" pull/"$1"/head:"$BRANCH"
git checkout "$BRANCH"
}
| brentleyjones/dotfiles | git/pr.zsh | Shell | mit | 248 |
#!/bin/bash
set -o posix
##############################################################################
# These are needed for the C++ Project Template
sudo add-apt-repository --yes ppa:ubuntu-toolchain-r/test # g++-4.9
sudo add-apt-repository --yes ppa:kubuntu-ppa/backports # cmake over 2.8.7
######################... | CaioIcy/Dauphine | utils/travis/before_install.sh | Shell | mit | 1,092 |
#!/bin/bash
echo Starting Gunicorn.
exec gunicorn sci_organizer.wsgi:application \
--bind 0.0.0.0:$PORT \
--workers 3
| MilyMilo/sci-organizer | start.sh | Shell | mit | 127 |
for n in 3000 2034 2003 999 353 287 252 203 65 30
do
python src/MRDS/find_lc_spearman_significance.py $n
done
matlab -nojvm -r "addpath('src/MRDS'); find_prob_of_difference_of_two_beta_dist"
| se4u/mvlsa | mrds.sh | Shell | mit | 196 |
#!/usr/bin/env bash
# Stop script on NZEC
set -e
# Stop script if unbound variable found (use ${var:-} if intentional)
set -u
# By default cmd1 | cmd2 returns exit code of cmd2 regardless of cmd1 success
# This is causing it to fail
set -o pipefail
__PROJECT_DIR=${1:-}
__DOTNET_CMD=${2:-}
__TOOLRUNTIME_DIR=${3:-}
__P... | chcosta/buildtools | src/Microsoft.DotNet.Build.Tasks/PackageFiles/init-tools.sh | Shell | mit | 5,746 |
$PYTHON setup.py install --single-version-externally-managed --record=record.txt # Python
| VlachosGroup/VlachosGroupAdditivity | conda-pieces/build.sh | Shell | mit | 91 |
#!/bin/bash
# Note: this function is meant to run WITHIN the docker container
function error {
echo $1 && exit 0
}
nc -zw2 mongo 27017 || error "Mongo database not available, exiting..."
nc -zw2 statserver $ENRICHMENT_PORT || error "Statistics server not available, exiting..."
# prepare /etc/nginx/conf.d/magi-... | raphael-group/magi-images | run-server.sh | Shell | mit | 763 |
function autoscreen() {
autossh -x -a -t "$@" "screen -x"
}
| doismellburning/dotfiles | screen/autoscreen.bash | Shell | mit | 61 |
#!/bin/bash
#This script will help you configuring a new storage and a network share
#Remember to chmod+x on this file to make it executable
# Configuring Transmission
printf "Where do you want to store your downloads?\n"
cd /mnt && ls -l
read -p "Please select your drive from the list above: " drive
printf "... | mattups/piTorrent-box | piT-box-transmission.sh | Shell | mit | 3,319 |
#!/usr/bin/env bash
set -e
if (( "$#" != 1 ))
then
echo "Tag has to be provided"
exit 1
fi
CURRENT_BRANCH="master"
VERSION=$1
# Always prepend with "v"
if [[ $VERSION != v* ]]
then
VERSION="v$VERSION"
fi
for REMOTE in auth broadcasting bus cache config console container contracts cookie database encr... | stidges/framework | bin/release.sh | Shell | mit | 822 |
#!/bin/bash
client=$1
# read the value the before script generated
starttime=`cat /tmp/$client.timemetric`
endtime=`date +%s`
timetaken=$(($endtime - $starttime))
# stolen function to convert seconds to friendly notation - credit http://stackoverflow.com/a/12199816 choroba
function show_time () {
num=$1
m... | waqark3389/baculastuff | afterjob.sh | Shell | mit | 855 |
#!/bin/bash -e
{ # this ensures the entire script is downloaded #
# Stops the execution of a script if a command or pipeline has an error
set -e
echo "Downloading latest version from github dev"
#download latest
wget https://github.com/MKHenson/noxy/archive/dev.zip
unzip -o "dev.zip" "noxy-dev/*"
# Moves the server... | MKHenson/noxy | install-script-dev.sh | Shell | mit | 807 |
#!/bin/sh
# add heroku repository to apt
echo "deb http://toolbelt.heroku.com/ubuntu ./" > /etc/apt/sources.list.d/heroku.list
# install heroku's release key for package verification
wget -O- https://toolbelt.heroku.com/apt/release.key | apt-key add -
# update your sources
apt-get update
# install the toolbelt
apt-... | treeder/dockers | heroku/install-ubuntu.sh | Shell | mit | 351 |
#!/bin/sh
lua node_tests.lua && \
lua agenda_tests.lua && \
lua path_finder_tests.lua | phtrivier/ube | src/engine/lua/tests/all_tests.sh | Shell | mit | 85 |
#!/usr/bin/bash
# Runs slice tree (several versions) for the synthetic graphs
# @Arlei Silva
source default.sh
for((g=1; g<=$num_graphs; g++))
do
prefix=$graph_name_prefix\_$g
postfix=$g
echo "$graph_compression -g $prefix.graph -v $prefix.data -o output -c ST -p $num_partitions_alg -s $prefix.size... | ucsb-igert/slice-tree | experiments/sampling/delta/run_compression.sh | Shell | mit | 2,012 |
#!/bin/sh
set -eo pipefail -o nounset
genome=https://raw.githubusercontent.com/gogetdata/ggd-recipes/master/genomes/Homo_sapiens/GRCh37/GRCh37.genome
## Get the vcf file, filter it, and create compress to bcf
wget --quiet -O - https://storage.googleapis.com/gnomad-public/release/2.1.1/vcf/exomes/gnomad.exomes.r2.1.... | gogetdata/ggd-recipes | recipes/genomics/Homo_sapiens/GRCh37/grch37-exome-variants-gnomad-v1/recipe.sh | Shell | mit | 584 |
#!/usr/bin/env bash
coinbase=$(geth --datadir . --chain=cryptodev --rpc --rpcaddr 0.0.0.0 --exec eth.coinbase console)
echo "Coinbase: $coinbase"
sed -i s/\"ADDRESS\"/$coinbase/g genesis_alloc.json
echo "Coinbase written in genesis.json file."
| heraware/cryptodev | dockerfiles/ethereum-classic/set_genesis.sh | Shell | mit | 246 |
#!/bin/sh
chown -R apache:apache ${RAINLOOP_HOME}
sh -c "find . -type d -exec chmod 755 {} \;"
sh -c "find . -type f -exec chmod 644 {} \;"
exec /usr/sbin/httpd -D FOREGROUND
| SolidNerd/docker-rainloop | docker-entrypoint.sh | Shell | mit | 178 |
#!/bin/bash
#
# Some integration test in development mode.
# It tests that headers can be dumped in JSON. It happens when a request headers validation error is caught.
set -o errexit
set -o nounset
export LC_ALL=C
: ${RAILS_ROOT:=.}
: ${PORT:=3000}
(
cd "$RAILS_ROOT/test/dummy"
rails server --daemon --port=$POR... | nicolasdespres/respect-rails | test/headers_can_dumped_in_json.sh | Shell | mit | 709 |
#!/bin/bash
#
# Michael Mottola
# <mikemottola@gmail.com>
# December 18, 2011
#
# Creates backup files (bson) of all MongoDb databases on a given server.
# Default behaviour dumps the mongo database and tars the output into a file
# named after the current date. ex: 2011-12-19.tar.gz
#
### Set server settings
HOST="l... | insspb/Bash | backup_scripts/MongoDB/mongodb-backup.sh | Shell | mit | 3,138 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for USN-1629-1
#
# Security announcement date: 2012-11-12 00:00:00 UTC
# Script generation date: 2017-01-01 21:03:02 UTC
#
# Operating System: Ubuntu 12.04 LTS
# Architecture: i386
#
# Vulnerable packages fix on version:
# - libproxy1:0.4.7-0ubuntu4.1
#
# Last ve... | Cyberwatch/cbw-security-fixes | Ubuntu_12.04_LTS/i386/2012/USN-1629-1.sh | Shell | mit | 643 |
#!/bin/sh
#
# Homebrew
#
# This installs some of the common dependencies needed (or at least desired)
# using Homebrew.
# Check for Homebrew
if test ! $(which brew)
then
echo " Installing Homebrew for you."
ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)" > /tmp/homebrew-i... | ksoldau/dotfiles | homebrew/install.sh | Shell | mit | 464 |
#!/bin/bash
set -e
LOGFILE=/var/www/texapi/logs/guni.log
LOGDIR=$(dirname $LOGFILE)
NUM_WORKERS=3
ADDRESS=127.0.0.1:8011
cd /home/texapi/
source ./vars.sh
cd /var/www/texapi/root/
source /var/www/texapi/root/venv/bin/activate
test -d $LOGDIR || mkdir -p $LOGDIR
exec gunicorn texapi.wsgi:application -w $NUM_WORKERS --bi... | blumug/texapi | gunicorn_prod.sh | Shell | mit | 426 |
#!/usr/bin/env sh
echo "Finder: show all filename extensions"
defaults write NSGlobalDomain AppleShowAllExtensions -bool true
echo "show hidden files by default"
defaults write com.apple.Finder AppleShowAllFiles -bool false
echo "expand save dialog by default"
defaults write NSGlobalDomain NSNavPanelExpandedStateFor... | gblock0/dotfiles | install/osx.sh | Shell | mit | 1,460 |
#! /bin/bash -l
#{
export PATH="/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin"
CaminhoUser="ENERGY_7_2/BIONDO"
MailUser="lbiondo@cte.com.br"
caminho="/home/cte/SIMULA/$CaminhoUser"
echo "Pasta raiz de execução: $caminho"
cd $caminho/ENTRADA
horasim=$(date)
echo "$horasim"
sleep 1
ls *.idf > arquivos_idf
datasim=$(d... | leandromet/EnergyPlus | simula_energy_multi.sh | Shell | mit | 2,404 |
#! /usr/bin/env nix-shell
#! nix-shell -i bash -p nix curl jq nix-prefetch-github git gnused gnugrep -I nixpkgs=.
set -eu -o pipefail
tmpfile=$(mktemp "update-stackage.XXXXXXX")
# shellcheck disable=SC2064
stackage_config="pkgs/development/haskell-modules/configuration-hackage2nix/stackage.yaml"
trap "rm ${tmpfile}... | NixOS/nixpkgs | maintainers/scripts/haskell/update-stackage.sh | Shell | mit | 1,725 |
#!/bin/bash
#SBATCH --partition=mono
#SBATCH --ntasks=1
#SBATCH --time=4-0:00
#SBATCH --mem-per-cpu=8000
#SBATCH -J Deep-DAE_MLP_7_bot_real_RICA_tanh
#SBATCH -e Deep-DAE_MLP_7_bot_real_RICA_tanh.err.txt
#SBATCH -o Deep-DAE_MLP_7_bot_real_RICA_tanh.out.txt
source /etc/profile.modules
module load gcc
module load matla... | aciditeam/matlab-ts | jobs/deepJobs_DAE_MLP_7_bot_real_RICA_tanh.sh | Shell | mit | 635 |
#!/bin/bash
#
# This will be the script called by websocketd when
# mapping Cisco ASA firewall connections.
# In the ASA config use command: logging host inside 10.1.2.3 udp/51414
# Replace 10.1.2.3 with your workstation IP address.
#
nc -ul 51414
| pla1/mapconnections | ciscoasasyslog.sh | Shell | mit | 249 |
#!/bin/bash
yum install -y ntp
systemctl enable ntpd
systemctl start ntpd
| heisedebaise/docker | k8s/config.sh | Shell | mit | 75 |
#!/bin/bash
bin_dir=$(dirname $0)
project_dir=$(cd $bin_dir/..; pwd)
source $project_dir/config.sh
rm -fR ${build_dir}
| julsburgs/DAT | practica2/bin/clean.sh | Shell | mit | 123 |
#!/bin/bash
# See also: https://unix.stackexchange.com/questions/27054/bin-bash-no-such-file-or-directory
# Install .NET 5.0 https://docs.microsoft.com/en-us/dotnet/core/install/linux-ubuntu#1804-
wget https://packages.microsoft.com/config/ubuntu/18.04/packages-microsoft-prod.deb -O packages-microsoft-prod.deb
sudo d... | WorkplaceX/Framework | Framework.Cli/Ci/travis-ci.org/Install.sh | Shell | mit | 493 |
#! /bin/sh
$XGETTEXT *.cpp -o $podir/kresources_shared_akonadi.pot
| kolab-groupware/kdepim-runtime | kresources/shared/Messages.sh | Shell | gpl-2.0 | 67 |
#!/bin/bash
# Scans the contents of the release folder and copies the shared task files into folders that should appear in TIRA.
UDPATH=/net/work/people/zeman/unidep
SRCREL=$UDPATH/release-2.2/ud-treebanks-v2.2
# SRCMOR: UDPipe morphology, gold segmentation and syntax. This has been released in Lindat.
# SRCPSM: UDPipe... | UniversalDependencies/tools | package_st_data.sh | Shell | gpl-2.0 | 10,937 |
#!/usr/bin/env bash
# This file xman_dos2unix is part of xman utility.
#
# Copyright (c) 2007 Chung Shin Yee <cshinyee@gmail.com>
#
# http://myxman.org
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Softwa... | keshav21/My_Shell_Scripts | xmanutility/xman_dos2unix.sh | Shell | gpl-2.0 | 2,586 |
#
# Copyright (C) 2010 OpenWrt.org
#
. /lib/ramips.sh
PART_NAME=firmware
RAMFS_COPY_DATA=/lib/ramips.sh
platform_check_image() {
local board=$(ramips_board_name)
local magic="$(get_magic_word "$1")"
[ "$ARGC" -gt 1 ] && return 1
case "$board" in
dir-300-b1 | dir-600-b1 | dir-600-b2 | fonera20n | nbg-419n | nw... | ago/openwrt | target/linux/ramips/base-files/lib/upgrade/platform.sh | Shell | gpl-2.0 | 866 |
#!/bin/bash
channel=calendar
user=$1
prefix="/var/lib/radicale/collections"
collection="collection-root"
m_files=$(git ls-files -m)
if [ -n "$m_files" ]; then
if [ -f "${m_files}" ]; then
#File was changed
else
tmp=$(mktemp)
git show master:${collection}/${m_files} > $tmp
m_file=$tmp
#File was deleted
... | adamryczkowski/puppet-bootstrap | files/radicale_slack_hook.sh | Shell | gpl-2.0 | 951 |
#!/bin/bash
# $Id$
#
# Authors:
# Jeff Buchbinder <jeff@freemedsoftware.org>
#
# FreeMED Electronic Medical Record and Practice Management System
# Copyright (C) 1999-2012 FreeMED Software Foundation
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Pu... | freemed/freemed | scripts/dump_incremental.sh | Shell | gpl-2.0 | 1,522 |
#!/bin/sh
#?
#? NAME
#? $0 - generate o-saft_standalone.pl
#?
#? SYNOPSIS
#? $0
#? $0 [OPTIONS] [output-file]
#?
#? OPTIONS
#? --h got it
#? --n do not execute, just show what would be done
#? --t do not check if all files are commited to repository
#? --s silen... | OWASP/O-Saft | contrib/gen_standalone.sh | Shell | gpl-2.0 | 6,450 |
#!/bin/sh
#
# $Id: test_checkall.sh,v 1.2 2004/12/21 14:43:44 roca Exp $
#
# Copyright (c) 1999-2004 INRIA - All rights reserved
# (main author: Vincent Roca - vincent.roca@inrialpes.fr)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
#... | jcable/mcl | check/alc/test_checkall.sh | Shell | gpl-2.0 | 953 |
#!/bin/bash
#
# usage:
#
#
# sbatch options
#SBATCH --job-name=RUN_CREATE_CRIS_HR_RANDOM_RTP
# partition = dev/batch
#SBATCH --partition=batch
# qos = short/normal/medium/long/long_contrib
#SBATCH --qos=short
#SBATCH --account=pi_strow
#SBATCH -N1
#SBATCH --mem-per-cpu=18000
#SBATCH --cpus-per-task 1
##SBATCH --arra... | strow/rtp_prod2 | cris/scripts/run_cris_hires_random_batch.sh | Shell | gpl-2.0 | 826 |
#!/bin/sh
leds()
{
echo 0=$1 > /dev/servoblaster
echo 1=$2 > /dev/servoblaster
echo 2=$3 > /dev/servoblaster
echo 4=$4 > /dev/servoblaster
}
b=0
d=0.1
while true; do
leds $b 0 0 0
sleep $d
leds 0 $b 0 0
sleep $d
leds 0 0 $b 0
sleep $d
leds 0 0 0 $b
sleep $d
leds 0 0 $b 0
sleep $d
leds 0... | jtanx/ServoBlasterMod | ripple.sh | Shell | gpl-2.0 | 387 |
#
# Copyright 2009 Sun Microsystems, Inc. All Rights Reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.
#
#... | TheTypoMaster/Scaper | openjdk/jdk/test/java/nio/channels/Selector/lots_of_updates.sh | Shell | gpl-2.0 | 1,646 |
#!/bin/bash
#
# Modify this file to deploy your project on production server
#
exit
rsync -n -varlogpt --progress --exclude="include/conf.php" --exclude="tmp" \
--exclude=".htpassw" --exclude=".htaccess" --exclude="htdocs/admin" \
--exclude="htdocs/upload" \
/home/develop/skeleton/* root@uk:/home/skeleton/
#ssh uk "/e... | MrBad/skeleton | deploy.sh | Shell | gpl-2.0 | 376 |
#! /bin/sh
# Copyright (C) 2011-2022 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | autotools-mirror/automake | t/distcheck-missing-m4.sh | Shell | gpl-2.0 | 3,490 |
#!/bin/sh
# ---------------------------------------
# Backup de las bases de datos PostgreSQL
# Version: 1.0.b 2013-01-31
# ---------------------------------------
# Uso
# PostgreSQL backup, every nigth at 01:00 a.m.
#0 1 * * * postgres /usr/local/bin/postgres-backup.sh 9.3 5432 >/dev/null 2>&1
set -x
... | kamaxeon/scripts_linux | backup_sql/postgres-backup.sh | Shell | gpl-2.0 | 1,854 |
#!/bin/bash
set -ex
[[ -d ${0%/*} ]] && cd "${0%/*}"
RUN_ID="$1"
TESTS=$2
./configure
NCPU=$(getconf _NPROCESSORS_ONLN)
if ! [[ $TESTS ]]; then
make -j"$NCPU" all syncheck rpm logtee
else
[[ $TESTS == "99" ]] && make_docs=yes || make_docs=no
make -j"$NCPU" enable_documentation=$make_docs all logtee
... | haraldh/dracut | fedora-test.sh | Shell | gpl-2.0 | 648 |
#$ -S /bin/bash
##$ -V
#$ -m as
#$ -cwd
#$ -q new.q
##$ -l mem_requested=8G
#$ -o logs_queue
#$ -e logs_queue
#$ -N calccomplexity
#$ -hold_jid smMIP_prep_samples
# arguments should be:
# $1 = sample ID key text file for all samples
# sampleIDkey format:
# 1st column: numeric ID (1 through x)
# 2nd column: sample... | jxchong/smMIPs_analysis | sub_calccomplexity.sh | Shell | gpl-2.0 | 2,968 |
#!/bin/sh
set -e
set -x
sudo apt install gnupg pandoc fakeroot
sudo apt install texlive-base texlive-latex-base texlive-latex-extra texlive-fonts-recommended texlive-latex-recommended
sudo apt install lmodern libxml2-utils traceroute ipset
#
# Set up to ensure tests run:
# - Ensure unprivileged user namespaces enab... | firehol/firehol | .github/workflows/setup.sh | Shell | gpl-2.0 | 1,260 |
protoc --plugin=protoc-gen-grpc=/usr/bin/grpc_python_plugin --proto_path=.. --grpc_out=. ../engine.proto
protoc -I=.. --python_out=. ../engine.proto
| centreon/centreon-engine | enginerpc/examples/gen_files.sh | Shell | gpl-2.0 | 149 |
#!/bin/bash
#
# Copyright (C) 2014 Nethesis S.r.l.
# http://www.nethesis.it - support@nethesis.it
#
# This script is part of NethServer.
#
# NethServer is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either... | DavidePrincipi/nethserver-mail-helpdesk | helpdesk_install.sh | Shell | gpl-2.0 | 2,228 |
#!/bin/bash
# This script updates nodeJS
sudo npm cache clean -f
sudo npm install -g n
sudo n stable
echo "nodeJS:"
node -v
| th3mon/cli-scripts | linux/ubuntu-mate/node-upgrade.sh | Shell | gpl-2.0 | 125 |
#!/bin/sh
conky -c ~/de-scripts/.conky_lft &
conky -c ~/de-scripts/.conky_mid &
conky -c ~/de-scripts/.conky_rht &
conky -c ~/de-scripts/.conky_topl &
#conky -c ~/de-scripts/.conky_topr &
| fredsmithjr/de-scripts | launch_all_conky.sh | Shell | gpl-2.0 | 188 |
#!/bin/sh
(echo "echo A && echo B || echo C && echo D"
sleep 2
echo "(echo A && echo B) || (echo C && echo D)"
#shows precedence operators
sleep 2
echo "test -f /home../rshell.cpp && (echo C && echo D)"
#shows precedence operators work with test and full rshell
sleep 2) | ./bin/rshell
| BabyBrian/rshell | tests/precedence_test.sh | Shell | gpl-2.0 | 287 |
#
# Copyright (c) 2006, 2012, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Softwar... | karianna/jdk8_tl | jdk/test/sun/security/tools/keytool/autotest.sh | Shell | gpl-2.0 | 3,023 |
#!/bin/sh
sudo apt-get update -qq
sudo apt-get install unzip -y
cd $WERCKER_ROOT
echo 'Downloading AppEngine SDK...'
curl -s -o google_appengine.zip https://storage.googleapis.com/appengine-sdks/featured/google_appengine_1.9.15.zip
sudo unzip -q google_appengine.zip -d /usr/local
export PATH="$PATH:/usr/local/google_... | FenrirUnbound/greg-ball | deploy.sh | Shell | gpl-2.0 | 640 |
#!/bin/bash
# microfs - Minimally Improved Compressed Read Only File System
# Copyright (C) 2012, 2013, 2014, 2015, 2016, 2017, ..., +%Y
# Erik Edlund <erik.edlund@32767.se>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
... | edlund/linux-microfs | tests/statfs.sh | Shell | gpl-2.0 | 1,705 |
#! /bin/sh
. ../../testenv.sh
for t in foo; do
synth $t.vhdl -e $t > syn_$t.vhdl
analyze syn_$t.vhdl
done
clean
echo "Test successful"
| tgingold/ghdl | testsuite/synth/issue1133/testsuite.sh | Shell | gpl-2.0 | 143 |
#!/usr/bin/env sh
set -e -x
# Build procServ using EPICS build system
. "./.env"
mkdir procServApp
ls | grep -v procServApp | xargs mv -t procServApp
EPICS_HOST_ARCH=`${EPICS_BASE}/startup/EpicsHostArch`
${EPICS_BASE}/bin/${EPICS_HOST_ARCH}/makeBaseApp.pl -t example dummy
rm -fr dummyApp
cat > configure/RELEASE.l... | ralphlange/procServ | .ci/travis-epics-build.sh | Shell | gpl-3.0 | 440 |
cd ummisco.gama.annotations
mvn -q clean install
cd -
cd msi.gama.processor
mvn -q clean install
cd -
cd msi.gama.parent
mvn -q clean install
cd - | hqnghi88/gamaClone | build.sh | Shell | gpl-3.0 | 150 |
config() {
NEW="$1"
OLD="$(dirname $NEW)/$(basename $NEW .new)"
# If there's no config file by that name, mv it over:
if [ ! -r $OLD ]; then
mv $NEW $OLD
elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
# toss the redundant copy
rm $NEW
fi
# Otherwise, we leave the .new copy for ... | dslackw/sbo-templates | sbo_scripts_templates/doinst.sh | Shell | gpl-3.0 | 1,926 |
# Assertion types:
# * expect_some_condition -- adds error to the test results, but continues the test
# * assert_some_condition -- adds error to the test results and immediately stops the test
# * assertlocal_some_condition -- adds error to the results and exits current subshell
# (assert|assertlocal|expect)_program_... | onlyjob/lizardfs | tests/tools/assert.sh | Shell | gpl-3.0 | 7,700 |
#!/usr/bin/env bash
# Reference:
# runcommand of Retorpie: https://github.com/retropie/retropie-setup/wiki/runcommand
# basic script: https://retropie.org.uk/forum/topic/3731/solved-variables-with-runcommand-onstart-sh/9
# edit and path: $ sudo nano /opt/retropie/configs/all/runcommand-onstart.sh
# get the system na... | hakjongholic/RetroPie-Clcd | runcommand-onstart.sh | Shell | gpl-3.0 | 1,471 |
#!/bin/bash
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distr... | ejschiller/FLEX | ovs/tutorial/ovn/env1/packet4.sh | Shell | gpl-3.0 | 781 |
#!/bin/bash
set -e
# set env variables
if [ -n "$NSQLOOKUPD_PORT_4161_TCP_ADDR" ] && [ -n "$NSQLOOKUPD_PORT_4161_TCP_PORT" ]; then
export LOOKUPD_ADDRESSES="http://${NSQLOOKUPD_PORT_4161_TCP_ADDR}:${NSQLOOKUPD_PORT_4161_TCP_PORT}"
fi
echo "LOOKUPD ADDRESSES: ${LOOKUPD_ADDRESSES}"
# execute python application in un... | clickberry/email-service-python | docker-entrypoint.sh | Shell | gpl-3.0 | 366 |
#!/bin/sh
: "${LOGSTASH_PATH:?Need to set LOGSTASH_PATH non-empty}"
: "${WEBSITE_PATH:?Need to set WEBSITE_PATH non-empty}"
${LOGSTASH_PATH}/bin/logstash -f ${WEBSITE_PATH}/logstash.conf
| Vrixyz/website | scripts/start-logstash.sh | Shell | gpl-3.0 | 189 |
mkdir -p _orig/
for f in *.jpg; do
cp -v $f _orig/
mogrify -geometry 600x $f
done
| icarito/arbio-azucar-adoptarbol | adoptarbol/static/images/common_trees/resize_images.sh | Shell | gpl-3.0 | 91 |
#!/bin/bash
#define variables
VER=$1
EXPLEN=45
TARCOV=0.30
#set up
mkdir -p final_run_ver${VER}
cd final_run_ver$VER
cp ../final.ver${VER}.cons.mod cons.mod
cp ../final.ver${VER}.noncons.mod noncons.mod
mkdir -p logs
mkdir -p ELEMENTS SCORES
for INPUT in $(ls /n/regal/edwards_lab/ratites/wga/phast/final_mafs/split_al... | tsackton/ratite-genomics | 04_wga/02_ce_id/run_phastCons_local.sh | Shell | gpl-3.0 | 575 |
#!/bin/bash
# put this in $HOME/bin as install.sh
scriptpath=$HOME/proj/github.com/MythTV/packaging/deb-light
set -e
if [[ -f $HOME/.buildrc ]] ; then
. $HOME/.buildrc
fi
# This will get projname and destdir
. "$scriptpath/getdestdir.source"
if [[ "$INSTALL_PREPARE" != "" ]] ; then
$INSTALL_PREPARE
fi
case ... | bennettpeter/mythscripts | install/home/bin/install.sh | Shell | gpl-3.0 | 982 |
#!/bin/sh
# SPDX-License-Identifier: (GPL-2.0-or-later OR BSD-2-Clause)
#
# average.sh - a script to compute the average of traceshark processing time
# Copyright (C) 2017, 2018 Viktor Rosendahl <viktor.rosendahl@gmail.com>
#
# This file is dual licensed: you can use it either under the terms of
# the GPL, or the ... | cunctator/traceshark | scripts/stats.sh | Shell | gpl-3.0 | 4,130 |
#!/bin/bash
# Criado por Franky Weber Faust 14/02/2015
# Adaptado de Erik Ljungstrom 27/05/2011
# http://loredata.com.br
# Apresenta o consumo de swap em KB por PID
SUM=0
OVERALL=0
for DIR in `find /proc/ -maxdepth 1 -type d -regex "^/proc/[0-9]+"`
do
PID=`echo $DIR | cut -d / -f 3`
PROGNAME=`ps -p $PID -o com... | FrankyWeber/golden-scripts | check_swap_by_pid.sh | Shell | gpl-3.0 | 621 |
#builds the linux docker image for a java env incl ssh
docker build -t linuxjavassh .
| svenwillmann/docker | linuxjavassh/build-image.sh | Shell | gpl-3.0 | 88 |
#!/bin/bash
# Arch Linux installation script PART 1/3 v0.2.3 - PARTITIONING & BASE SYSTEM INSTALL
# Created by Colin Matthews
loadkeys uk.map.gz # Set Keyboard to UK **CHANGE THIS TO YOUR KEYBOARD'S KEYMAP**
grep --no-group-separator -A1 "United Kingdom" /etc/pacman.d/mirrorlist > /mirrorlist
cat /mirrorlist > /etc/p... | colinjmatt/archlinuxautomation | arch-linux-base-install.sh | Shell | gpl-3.0 | 35,553 |
#!/bin/bash
PROBLEM=toh
LOG_DIR=~/log
ivASP_LOG_DIR=$LOG_DIR/ivASP/$PROBLEM
iclingo_LOG_DIR=$LOG_DIR/iclingo/$PROBLEM
for f in instances/*
do
name=`basename $f`
echo '-------------------------------------'
echo $name
echo '#####################################'
tail -n 6 "$ivASP_LOG_DIR/$name.txt"
... | lilac/iASP | benchmark/towersofhanoi/compare.sh | Shell | gpl-3.0 | 443 |
# Dictionary
# From: http://www.64bitjungle.com/linux/some-really-useful-linux-command-line-tricks/
dict()
{
curl -s dict://dict.org/d:$1 | grep -v '^2[0,2,5]'
}
| tlvince/lib-bash | dictionary.sh | Shell | gpl-3.0 | 166 |
#!/bin/sh -x
if [ "$(/usr/bin/whoami)" != 'root' ]; then
echo "This script must be executed as root"
exit 1
fi
cp -f rq.service /etc/systemd/system/
cp -f rq.socket /etc/systemd/system/
cp -f tmpfiles.d-rq.conf /etc/tmpfiles.d/
systemd-tmpfiles --create
systemctl enable rq.service
systemctl enable rq.socket
... | vdanen/rq | config/install.sh | Shell | gpl-3.0 | 679 |
#!/usr/bin/env bash
# Install Anaconda
if [[ "$ANACONDA_PYTHON_VERSION" == "2.7" ]]; then
export CONDA_VERSION=2;
else
export CONDA_VERSION=3;
fi
if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then
export CONDA_OS=MacOSX;
else
export CONDA_OS=Linux;
fi
wget https://repo.continuum.io/miniconda/Miniconda${CO... | samuelstjean/nlsam | build_stuff/get_conda.sh | Shell | gpl-3.0 | 644 |
#########################################
# GNU GPL License v3 #
# Author: Amir Yahyavi #
#########################################
#!/bin/bash
source config.sh
source utils.sh
set -o xtrace
source config.sh &> config.properties
set +o xtrace
tail -n +2 config.properties > temp.tx... | yahyavi/solrcloud | scripts/genprop.sh | Shell | gpl-3.0 | 640 |
err() {
ALL_OFF="\e[1;0m"
BOLD="\e[1;1m"
RED="${BOLD}\e[1;31m"
local mesg=$1; shift
printf "${RED}==>${ALL_OFF}${BOLD} ${mesg}${ALL_OFF}\n" "$@" >&2
}
msg() {
ALL_OFF="\e[1;0m"
BOLD="\e[1;1m"
GREEN="${BOLD}\e[1;32m"
local mesg=$1; shift
printf "${GREEN}==>${ALL_OFF}${BOLD} ${mesg}${ALL_OFF... | manjaro-arm/packages-core | manjaro-system/manjaro-update-system.sh | Shell | gpl-3.0 | 1,123 |
#!/bin/bash
#PBS -l walltime=3:00:00
#PBS -l select=1:ncpus=1:mem=1gb
#PBS -q pqtouldrid
## select Python script to run
RUNFILE=1mR_inf.py
## Copy from starting directory and move to space for running job:
cp $PBS_O_WORKDIR/$RUNFILE $TMPDIR
## load Anaconda Python
module load anaconda3/4.3.1
## run the python file... | OrganicDreamer/gillespie-translation-asRNA | asrna-tune-queue/queued-production/run_1mR_inf.sh | Shell | gpl-3.0 | 526 |
#! /bin/sh
# Run only when the interface is not "lo":
if [ $1 = "lo" ]; then
exit 0
fi
# Run whenever an interface gets "up", not otherwise:
if [ $2 != "up" ]; then
exit 0
fi
# Restart Vidalia because it does not automatically reconnect to the new
# Tor instance. Use kill+start as:
# - X-GNOME-AutoRestart does... | kolohe/amnesia | config/chroot_local-includes/etc/NetworkManager/dispatcher.d/60-vidalia.sh | Shell | gpl-3.0 | 471 |
#!/bin/bash
# set environmental variables
source ../../bin/setsgenvars.sh
echo Compiling findcp
echo $SGENFC findcp.f90 -o findcp.x $SGENFLAG $SGENLIB
$SGENFC findcp.f90 -o findcp.x $SGENFLAG $SGENLIB
echo Cleaning up
rm opttools.mod
echo Copying executable to surfgen directory
cp findcp.x $SGENDIR
echo Done
| virtualzx-nad/surfgen | utilities/findcp/install.sh | Shell | gpl-3.0 | 316 |
#!/bin/bash
echo "# All good cases should say 'validates'"
for xml in *_ex*.xml; do
echo -n "xsd: "
xmllint --noout --schema image-api.xsd $xml
echo -n "rng: "
xmllint --noout --relaxng image-api.rng $xml
done
echo "# All bad cases should say 'fails to validate'"
for xml in *bad*xml; do
echo -n "xsd: "
xm... | zimeon/iiif | tests/testdata/info_json_1_0/check_examples.sh | Shell | gpl-3.0 | 516 |
#!/bin/bash
###############################################################
# set locale temporarily to english
# due to some non-english locale issues
export LC_ALL=en_US.UTF-8
export LANG=en_US.UTF-8
export LANGUAGE=en_US.UTF-8
export LC_CTYPE=en_US.UTF-8
##############################################################... | centminmod/centminmod | addons/acmetool.sh | Shell | gpl-3.0 | 254,437 |
#!/bin/bash
# Script that uses netdiscover -r $firstArg and output only the ip addresses
# You can use this output for example to use as input list (-iL) for nmap
sudo netdiscover -P -r $1|grep -oE "\b([0-9]{1,3}\.){3}[0-9]{1,3}\b"
| Adrian-dps/security-bash-scripts | netdisc.sh | Shell | gpl-3.0 | 234 |
#!/usr/bin/env bash
#-----------------------------------------------------------------------------------------------------------------------
# HELP function
#-----------------------------------------------------------------------------------------------------------------------
function help {
usage="$(basename "$0") ... | bytec0d3/awd-sim | run_bin.sh | Shell | gpl-3.0 | 1,841 |
#!/bin/sh
OPENSSL=openssl
mkdir -p test-ca/newcerts
echo
echo "---[ Update server certificates ]---------------------------------------"
echo
cat openssl2.cnf |
sed "s/#@CN@/commonName_default = server.w1.fi/" |
sed "s/#@ALTNAME@/subjectAltName=DNS:server.w1.fi/" \
> openssl.cnf.tmp
$OPENSSL ca -config $PWD/open... | s0lst1c3/eaphammer | local/hostapd-eaphammer/tests/hwsim/auth_serv/update.sh | Shell | gpl-3.0 | 3,283 |
#!/usr/bin/env bash
#------------------------------------------------------------------------------
# Bash script to execute the Solidity tests by CircleCI.
#
# The documentation for solidity is hosted at:
#
# https://docs.soliditylang.org
#
# ------------------------------------------------------------------------... | ethereum/solidity | .circleci/soltest.sh | Shell | gpl-3.0 | 3,527 |
#!/bin/bash
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.or... | bunnyblue/nss-3.12.6-android | mozilla/security/nss/tests/iopr/server_scr/cert_gen.sh | Shell | mpl-2.0 | 11,202 |
#!/bin/bash
# The purpose of this wrapper script is to set some environment
# variables particular to our setup on moby, prior to launching the
# FastCGI process.
export LD_LIBRARY_PATH=/tdr/bin/lib:/usr/local/lib:/usr/local/lib/mysql
# Here's the command that actually launches the FastCGI server.
/tdr/bin/esd-dev/s... | TuftsUniversity/ESD | script/esd_fastcgi_wrapper.sh | Shell | agpl-3.0 | 354 |
#!/bin/bash
set -e
source /pd_build/buildconfig
# Install dependencies & firefox.
run minimal_apt_get_install chrpath libssl-dev libxft-dev libfreetype6-dev libfreetype6 libfontconfig1-dev libfontconfig1 tesseract-ocr wget openjdk-8-jre-headless xvfb libxi6 libgconf-2-4 firefox
# Install ChromeDriver.
run wget -N htt... | trabacus-softapps/docker-openerpbase-kings | utilities.sh | Shell | agpl-3.0 | 696 |
#!/bin/bash
################################################################################
# Build Latest, only runs build without updating software
# For Google cloud, Stackdriver/logging should have Write,
# Google Storage should have Full
# All other APIs None,
#
#
# Copyright... | singularityware/singularity-python | singularity/build/scripts/singularity-build-latest.sh | Shell | agpl-3.0 | 1,659 |
#!/bin/bash
# Get Elastic 5 in a container (in userspace with podman)
podman pull docker.elastic.co/elasticsearch/elasticsearch:5.6.16
podman run --name es_five -p 9205:9200 -e "discovery.type=single-node" -e "xpack.security.enabled=false" -e "ES_JAVA_OPTS=-Xmx1g -Xms1g" elast
podman start -a es_five
# Get Elastic ... | sinnwerkstatt/landmatrix | tmp_gnd/gnd_elastic.sh | Shell | agpl-3.0 | 514 |
#!/bin/sh
# show up script version
version ()
{
printf "\n%s\n" "TSP Custom killall script[sh] - V1.0"
}
# Waiting for time out
pids=`ps -edf | egrep -v "grep|killall" | grep $1 | awk '{ print $2 }'`
if [ -n "$pids" ]; then
kill $pids
sleep 1
fi
| deweerdt/TSP | src/scripts/custom_killall.sh | Shell | lgpl-2.1 | 269 |
#!/bin/sh
export JAVA_HOME=/usr/lib/jvm/jre-1.7.0
export HADOOP_PREFIX="/home/hadoop/hadoop"
export HADOOP_HOME=$HADOOP_PREFIX
export HADOOP_COMMON_HOME=$HADOOP_PREFIX
export HADOOP_CONF_DIR=$HADOOP_PREFIX/etc/hadoop
export HADOOP_HDFS_HOME=$HADOOP_PREFIX
export HADOOP_MAPRED_HOME=$HADOOP_PREFIX
export HADOOP_YARN_H... | deltaforge/nebu-app-hadoop | hadoop/etc/hadoop/exports.sh | Shell | lgpl-3.0 | 338 |
echo
echo Enumerating files...
echo
GOOD=true
for x in `find -name '*.java'`
do
if echo $x | grep -iE '(SampleIgneousRobot|cobertura|TemplateIgneousRobot|edu.wpi.first.wpilib.networktables.java)' >/dev/null
then
true
else
if head -n 18 $x | grep -iE '(This file is part of the CCRE, the Common Chicken Runtime Eng... | Ja-ake/Common-Chicken-Runtime-Engine | check-headers.sh | Shell | lgpl-3.0 | 611 |
export PATH=/Users/admin/_DEV/3rdParties/apache-ant/bin:/Users/admin/_DEV/3rdParties/qt5/5.4/android_armv7/bin/:$PATH
mkdir -p android_dist/libs/armeabi-v7a/
cp /Users/admin/_DEV/3rdParties/qt5/5.4/android_armv7/lib/*.so android_dist/libs/armeabi-v7a/
cp /Users/admin/_DEV/3rdParties/qt5/5.4/android_armv7/plugins/sqldri... | edubois/mvp-player | android/build_mvpPlayerQt_android.sh | Shell | lgpl-3.0 | 4,254 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.